Bug 575235 - Review Request: skf - Simple Kanji Filter - i18n kanji converter
Summary: Review Request: skf - Simple Kanji Filter - i18n kanji converter
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Kent
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-19 19:45 UTC by Mamoru TASAKA
Modified: 2010-03-26 04:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-26 04:52:15 UTC
mkent: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2010-03-19 19:45:06 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/skf/skf.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/skf/skf-1.97.0-0.1.a.fc.src.rpm

Description: 
skf is an i18n-capable kanji filter. skf is designed for
reading documents in various languages and codes using kanji
or unicode capable display devices. Like other kanji filters,
skf provides basic Japanese kanji code conversion features, 
include to/from JIS, EUC, Shift-JIS, UCS2, KEIS83 and UTF-7/8,
but also support various international codesets include Korian
and Chinese standard codesets.

koji scratch build
For F-13:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2063586
For F-12:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2063587

Comment 1 Matthew Kent 2010-03-22 07:16:34 UTC
Initial notes - 

Looking at the overall structure of the package I wonder if the skf binary would be better as skf-cli and skf-common as just skf? 

Either that or perhaps moving the more verbose %description and generic Summary of the -common package onto the main skf package? Users may have trouble seeing how useful it is without reading the -common description.

---

Can't see this matching anything:

sed -i.strip -e 's|-s -m |-m |' Makefile.in

---

As the skf.1 man page pertains to the binary I'm guessing it should go with it in the package.

---

Will do more testing tomorrow.

Comment 2 Matthew Kent 2010-03-24 07:44:02 UTC
I've been through the packaging guidelines and it conforms in every way I can see. Package is well organized, compiles and functions in limited testing - including the ruby, perl and python subpackages.

Beyond my suggestions on the organization of the package itself I don't see any blockers.

--------------------------------------------------------
        This package (skf) is approved by mkent
--------------------------------------------------------

Comment 3 Mamoru TASAKA 2010-03-24 16:41:04 UTC
(In reply to comment #1)
> Initial notes - 
> 
> Looking at the overall structure of the package I wonder if the skf binary
> would be better as skf-cli and skf-common as just skf?

- I want to make "yum install skf" install /usr/bin/skf binary.

> Either that or perhaps moving the more verbose %description and generic Summary
> of the -common package onto the main skf package? Users may have trouble seeing
> how useful it is without reading the -common description.

- Well, usually I say "please don't duplicate description when the other
  dependency package already contains the same description", however
  it seems you and also at least one person are against my opinion.
  However for now I won't duplicate the same sentence on main package.

> Can't see this matching anything:
> 
> sed -i.strip -e 's|-s -m |-m |' Makefile.in
> 
> ---
> 
> As the skf.1 man page pertains to the binary I'm guessing it should go with it
> in the package.
> 
> ---

- Both of these are fixed in -2, thank you.

http://mtasaka.fedorapeople.org/Review_request/skf/skf-1.97.0-0.2.a.fc.src.rpm
http://mtasaka.fedorapeople.org/Review_request/skf/skf.spec

* Thu Mar 25 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.97.0-0.2.a
- Remove useless sed line
- Move man pages to "main" package

Comment 4 Mamoru TASAKA 2010-03-24 16:42:53 UTC
New Package CVS Request
=======================
Package Name:        skf
Short Description:   Simple Kanji Filter - i18n kanji converter
Owners:              mtasaka
Branches:            F-11 F-12 F-13
InitialCC:

Comment 5 Dennis Gilmore 2010-03-25 20:55:13 UTC
CVS Done

Comment 6 Mamoru TASAKA 2010-03-26 04:52:15 UTC
Rebuilt on all archs, submitted push requests on bodhi, closing.

Thank you for the review and CVS processing


Note You need to log in before you can comment on or make changes to this bug.